[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TVariantRelationship

Enumerated type to describe comparison operations between variants

## Declaration

Source position: variants.pp line 51

`type TVariantRelationship = (`
`vrEqual,` |  | Are the 2 variants equal
`vrLessThan,` |  | Is the first variant (strictly) less than the second
`vrGreaterThan,` |  | Is the first variant (strictly) greater than the second
`vrNotEqual` |  | Are the 2 variants unequal
`);`

## Description

TVariantRelationship is used by VarCompareValue to indicate the type of comparison operation it must perform. It has the following values:

vrEqual
  Are the 2 variants equal
vrLessThan
  Is the first variant (strictly) less than the second
vrGreaterThan
  Is the first variant (strictly) greater than the second
vrEqual
  Are the 2 variants equal
vrEqual
  Are the 2 variants equal

## See also

VarCompareValue |  | Compare 2 variant values